package pep;

/**This class defines the operations of Identity nodes.*/
public class Identity extends Node{
 /**Total amount of input*/ public static double totInput;

 /**Creates a new Identity node.*/
 public Identity(){
  super();
  threshold = .3;
 }

 /**Updates activation for each cycle and seraches responses.
  * @param stimNum Stumulus number.*/
 public void activate(int stimNum){
  input = range(input-((totInput-input)*.05)); //5% interference
  update();
  if(activation>threshold){
   double output = (activation-threshold)*java.lang.Math.random()*5;
   RunTime.responses[stimNum].input += output;
  }
 }

 /**Clears total input for next cycle.*/
 public static void clear(){
  totInput = 0;
 }
}